import React from 'react';
import Placeholder from './Placeholder';
import Box from './Box';
import Tiles from './Tiles';
var Container = function (_a) {
    var children = _a.children;
    return (React.createElement(Box, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Tiles',
    examples: [
        {
            description: 'Three columns',
            Container: Container,
            Example: function () { return (React.createElement(Tiles, { columns: 3, space: 2 },
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }))); },
        },
        {
            description: 'Responsive columns',
            Container: Container,
            Example: function () { return (React.createElement(Tiles, { columns: [1, 2, 4], space: 2 },
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }),
                React.createElement(Placeholder, { height: 40 }))); },
        },
    ],
};
export default docs;
