import React, { forwardRef } from 'react';
import NextLink from 'next/link';
import MuiLink from '@material-ui/core/Link';
var NextLinkWithAnchor = function (_a, ref) {
    var href = _a.href, as = _a.as, passHref = _a.passHref, replace = _a.replace, scroll = _a.scroll, shallow = _a.shallow, className = _a.className, children = _a.children;
    return (React.createElement(NextLink, { href: href, as: as, passHref: passHref, replace: replace, scroll: scroll, shallow: shallow },
        React.createElement("a", { ref: ref, className: className }, children)));
};
var Link = function (_a, ref) {
    var href = _a.href, children = _a.children, as = _a.as, passHref = _a.passHref, replace = _a.replace, scroll = _a.scroll, shallow = _a.shallow, className = _a.className, _b = _a.underline, underline = _b === void 0 ? 'none' : _b;
    return (React.createElement(MuiLink, { underline: underline, component: forwardRef(NextLinkWithAnchor), ref: ref, className: className, href: href, as: as, passHref: passHref, replace: replace, scroll: scroll, shallow: shallow }, children));
};
export default forwardRef(Link);
