import { ReactNode } from 'react';
import { ResponsiveProp } from '../modules/toResponsiveProps';
import { AlignProp } from '../modules/getFlexboxAlignForAlignProp';
export interface StackProps {
    children: ReactNode;
    space: ResponsiveProp<number>;
    align?: ResponsiveProp<AlignProp>;
}
declare const Stack: ({ children, space, align }: StackProps) => JSX.Element;
export default Stack;
